View Issue Details

IDCategoryLast Update
0004745features2015-09-18 15:19
ReportercolinfAssigned Topaul 
ReproducibilityN/A 
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0004745: Stem export of buses
DescriptionIt'd be very useful if 'Stem export' allowed you to export the outputs of buses, rather than just tracks.
TagsNo tags attached.

Activities

2012-11-28 12:19

 

stem-export-busses.patch (757 bytes)
Index: gtk2_ardour/export_channel_selector.cc
===================================================================
--- gtk2_ardour/export_channel_selector.cc	(revision 13560)
+++ gtk2_ardour/export_channel_selector.cc	(working copy)
@@ -571,6 +571,18 @@
 
 	for (RouteList::iterator it = routes.begin(); it != routes.end(); ++it) {
 		Route * route = it->get();
+		if(!dynamic_cast<Track *>(route)) {
+			// not a track, must be a bus
+			if ((*it)->is_master () || (*it)->is_monitor ()) {
+				continue;
+			}
+			// not monitor or master bus
+					
+			add_track(route);
+		}
+	}
+	for (RouteList::iterator it = routes.begin(); it != routes.end(); ++it) {
+		Route * route = it->get();
 		if(dynamic_cast<AudioTrack *>(route)) {
 			add_track(route);
 		}

colinf

2012-11-28 12:38

updater   ~0014303

I've had this patch sitting in my local tree for ages: it turned out to be pretty simple to add buses to the channel list for stem export. I'll commit it later if no-one objects.

It'd be nice to make it so that just the buses, or just the tracks, could be selected for stem export, especially since there's no way to tick or untick multiple items in the stem export channel selector list, and the state is not remembered when the export dialogue is closed, but that's for another day.

paul

2012-12-05 23:32

administrator   ~0014325

this really works?

colinf

2012-12-06 11:23

updater   ~0014330

Yes, it really was that simple.

paul

2012-12-06 12:47

administrator   ~0014331

committed in rev 13606

colinf

2015-09-18 15:19

updater   ~0017279

Closing old issues reported by me: these have long since been fixed.

Issue History

Date Modified Username Field Change
2012-02-27 16:48 colinf New Issue
2012-02-28 14:33 cth103 cost => 0.00
2012-02-28 14:33 cth103 Target Version => 3.X
2012-11-28 12:19 colinf File Added: stem-export-busses.patch
2012-11-28 12:38 colinf Note Added: 0014303
2012-12-05 23:32 paul Note Added: 0014325
2012-12-06 11:23 colinf Note Added: 0014330
2012-12-06 12:47 paul Note Added: 0014331
2012-12-06 12:47 paul Status new => resolved
2012-12-06 12:47 paul Resolution open => fixed
2012-12-06 12:47 paul Assigned To => paul
2015-09-18 15:19 colinf Note Added: 0017279
2015-09-18 15:19 colinf Status resolved => closed